NetworkUPSTools Error - Failed to execute XPath query '//services/nut'.

  • I receive the error message in title during login after installing nut plugin via OMV GUI. Around 1 year back I got a UPS and ran the nut plugin successfully, and then I uninstalled it because I had to return the UPS. Now, when I install the nut plugin, I get errors mentioned in this post.


    1. Steps I have taken to fix error: uninstall using below code and install nut plugin in OMV GUI. Didn't work.


    apt-get remove --purge nut-server nut openmediavault-nut


    2. Tried this in incognito mode and cleared browser cache and still getting error in title.


    3. Errors Occurring:


    3a. Below error after installing nut plugin in OMV GUI:



    3b. Below error after uninstalling nut plugin OMV GUI:


    Please help me fix this. I got a new UPS and would have to test it out before the return date gets over. I am not really tech savvy and not good with shell language, would really appreciate solutions in code block to run them. Thank you in advance.

  • Some info is needed:

    UPS brand and model

    How it's plugged to the OMV Server


    And most important, did you had it plugged and running PRIOR to install and configured the plugin?


    Also, how did you installed OMV? Is it a fresh OMV6 install or you upgraded from a previous version?

  • The UPS model is SmartUPS-750 or SUA750I-IND. It is connected via usb and I was able to run nut server with the driver = usbhid-ups. Successfully 1 year back.


    Around one year back, I installed nut plugin server with the same UPS model and was successful. I had to return the UPS and so uninstalled the nut plugin.


    Now, even if the UPS ( same model) is connected or unconnected, I get this error after installing the nut plugin. I get it right after I login into OMV and the UPS service is not visible in the dashboard.


    To be very clear, I have the Same UPS model both the times, now and 1 year back.


    I started using OMV from version 5. I have the latest OMV version 5 which I have installed on my core2duo several years back. I have just updated and now it's on the latest version.



    Edit0: Only way to get rid of the error is to uninstall nut plugin but I am trying to use it. So uninstalling the plugin doesn't help.

  • You shouldn't need to install nut server since the plugin takes care of that.


    If you read the thread I linked, you'll have some pointers for it.


    And the first it comes to mind is: do you have usrmerge installed?


    dpkg -l | grep usrme

  • I know wherethe problem is, but no easy fix wich doesn't involve the cli.


    You removed the UPS config and the nut service does not start when ther is no valid config. For some reason the uninstall tries to start the nut-service and this fails.

    You could try to get a valid ups.conf file or try to force remove the packages

    nut and nut-server should get removed by apt-get autoremove if they where installed as a dependency to the plugin.


    But you have broken packages, cann you fix that first:


    List them: dpkg --audit

    Try to configure them dpkg --configure -a


    Post command and output inside a code box or as file attachement, not as screen shot.

    If you got help in the forum and want to give something back to the project click here and write up your solution for others.


  • I am sorry I just meant nut client not server. I mentioned the word "server" because I was able to graciously shut down other devices on lan 1 year back.


    The first error image is for after installing sudo apt-get install usrmerge and dpkg -l | grep usrme


    Second is after installing nut client on OMV gui. I still get the error which is mentioned in the title of this thread. Just informing you after the advice given.



  • This is the error I get after running the 2 commands you mentioned.

  • can you purge the openmediavault-nut and the nut individually?

    What apt is trying to do is to install / configure the packages just to uninstall them.


    If this does not help, use force:


    dpkg --purge --force-remove-reinstreql openmediavault-nut

    dpkg --purge --force-remove-reinstreq nut


    Don't konw the order, but it will tell you.

    If you got help in the forum and want to give something back to the project click here and write up your solution for others.

  • I think this ran without errors. Can you please advice me on what to do next?

  • If you have the UPS plugged, install the plugin and activate it.


    Here's a nice guide about the nut plugin:

    [How-to] Use the openmediavault-nut plugin - Guides - openmediavault

  • Since you came from OMV5 (meaning you done an omv-release-upgrade) post the output of:

    dpkg -l | grep openme

  • Since you came from OMV5 (meaning you done an omv-release-upgrade) post the output of:

    dpkg -l | grep openme

    Code
    root@marcus:~# dpkg -l | grep openme
    ii  openmediavault                    5.6.26-1                            all          openmediavault - The open network attached storage solution
    ii  openmediavault-autoshutdown       5.1.21                              all          OpenMediaVault AutoShutdown Plugin
    ii  openmediavault-keyring            1.0                                 all          GnuPG archive keys of the OpenMediaVault archive
    ic  openmediavault-nut                5.2.2-1                             all          openmediavault Network UPS Tools (NUT) plugin
    ii  openmediavault-omvextrasorg       5.6.6                               all          OMV-Extras.org Package Repositories for OpenMediaVault
    ii  openmediavault-wol                3.4.2                               all          OpenMediaVault WOL plugin
    root@marcus:~#
  • ?!? I thought I saw that you had updated but it seems you're still on OMV5, correct?

  • The wol plugin looks old, but i am not using that.

    What is in the config sudo omv-confdbadm read --prettify conf.service.nut

    Get back to the state where nut and openmediavault-nut are removed / purged.

    Check the packages: dpkg --audit


    Install the plugin, but do not enable nut, as the service will not start if you do not have a valid config.


    if you are stil lgetting the error with the missing config, you can try to populate the config db: sudo omv-confdbadm populate

    If you got help in the forum and want to give something back to the project click here and write up your solution for others.

  • Output is above for the commands you adviced to run.


    -------------------------------------------------------------------------------------------------


    The services page is empty and whenever I click "services" in OMV it gives this error. Only uninstalling nut plugin removes the above error.


    -----------------------------------------------------------------------------------------



    The only thing that has changed is the UPS service is installed but trying to save the configuration throws this above error and will not save. I tried this only after following the commands you adviced me to run.


    --------------------------------------------------------------------------------

  • So is the plugin removed now?

    I have removed it completely with dpkg --purge --force-remove-reinstreq openmediavault-nut


    dpkg --purge --force-remove-reinstreq nut


    dpkg --purge --force-remove-reinstreq nut-server


    And then followed your commands dpkg --audit and dpkg --configure -a and they didn't return any results. You can check the code block posted above in previous reply too.


    And then reinstalled it like you said. Still got error in the screenshot and the error after installing it in gui ( this error can be seen in comment/post #7 in this thread).


    And then finally ran sudo omv-confdbadm populate


    Which did not produce any result as well. It's in the code block posted above in previous reply too.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!